#!/bin/bash

slack_webhook_url="https://hooks.slack.com/services/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"

for file in nanny*; do
    if [[ -f "$file" ]]; then
        last_modified=$(stat -c '%Y' "$file")
        formatted_date=$(date -d "@$last_modified" +"%Y-%m-%d %H:%M:%S")
        line_count=$(wc -l < "$file")
        last_line=$(tail -n 1 "$file")
        message="$formatted_date: $file ($line_count lines) - Last line: $last_line"
        payload="{\"text\":\"$message\"}"
        curl -X POST -H "Content-type: application/json" --data "$payload" "$slack_webhook_url"
    fi
done | sort -r

